
<%= simple_form_for_horizontal(@tools_generic) do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <div>
    <p>
      <label for=""><b style='font-weight:800;'><%= Tools::Generic.human_attribute_name :doc %> : </b></label>
      <%= @tools_generic.doc&.filename || '-' %>
    </p>
  </div>

  <div class="row">
    <div class="col-md-6">
      <%= link_to fa_icon_download('icon-white icon-margin') + t('.download'), tools_generics_download_last_doc_path(id: @tools_generic.id), class: 'btn btn-outline-warning' %>
    </div>
    <div class="col-md-6">
      <%= f.file_field :doc %>
      <%= button_tag type: 'submit', class: 'btn btn-outline-warning' do %>
        <%= fa_icon_upload('icon-white icon-margin') + t('.upload') %>
      <% end %>
      <%= helper_generic_alert_doc(@tools_generic) %>
    </div>
  </div>
  <br>
  <div class='admin-col'>
    <div class="admin-col-title admin-col-title-grey">
      <%= Tools::Generic.human_attribute_name :file_versions %>
      <button id='header-collapse-file_version' class="btn collapsed" type="button" data-toggle="collapse" data-target="#collapse-file_version" aria-expanded="false" aria-controls="collapse-file_version">
      <span class="collapse-icon"><%= fa_icon('caret-down') %></span>
    </button>
    </div>
    <div id='collapse-file_version' class="admin-col-content collapse-prowhy-ls collapse">
      <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
        <thead>
          <tr>
            <th width="30px"></th>
            <th><%= Tools::FileVersion.human_attribute_name :filename %></th>
            <th><%= Tools::FileVersion.human_attribute_name :date %></th>
            <th><%= Tools::FileVersion.human_attribute_name :author %></th>
            <th>Preview</th>
            <th colspan="1"></th>
          </tr>
        </thead>

        <tbody>
          <tr><th colspan="6" class='task-block-line'><%= t('.doc_initial') %></th></tr>
        </tbody>
        <tbody>
          <% show_doc = true %>
          <% file_version = @tools_generic.doc %>
          <tr>
            <td></td>
            <td><%= @tools_generic.doc.filename %></td>
            <td><%= @tools_generic.created_at.to_date %></td>
            <td>-</td>
            <td>
              <% aff, show_doc = file_preview(@tools_generic.doc, {show_filename: false}) %>
              <%#= aff.html_safe %>
              <%= link_to fa_icon('eye', type: :regular, class: "icon-blue"), url_for(@tools_generic.doc) if show_doc %>
            </td>
            <td><%= link_to fa_icon('download', class: "icon-blue"), rails_blob_path(@tools_generic.doc, disposition: "attachment") %></td>
          </tr>
        </tbody>

        <tbody>
          <tr><th colspan="6" class='task-block-line'><%= t('.doc_old') %></th></tr>
        </tbody>
        <tbody>
          <% show_doc = true %>
          <% count = @tools_generic.file_versions.size %>
          <% @tools_generic.file_versions.each do |file_version| %>
            <tr>
              <td style="text-align: center;"><%= count %></td>
              <td><%= file_version.file.filename if file_version.file.attached? %></td>
              <td><%= convert_time(file_version.date) %></td>
              <td><%= file_version.author&.name %></td>
              <td>
                <% aff, show_doc = file_preview(file_version.file, {show_filename: false}) %>
                <%= aff.html_safe if count == @tools_generic.file_versions.size %>
                <%= link_to fa_icon('eye', type: :regular, class: "icon-blue"), url_for(file_version.file) if show_doc && file_version.file.attached? %>
              </td>
              <td><%= link_to fa_icon('download', class: "icon-blue"), rails_blob_path(file_version.file, disposition: "attachment") if file_version.file.attached? %></td>
              <% count -= 1 %>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>

  <br>
  <div class="admin-col">
    <div class="admin-col-title admin-col-title-grey">
      Images
    </div>
    <div class="admin-col-content">
      <!-- <label>Ajouter une image </label> -->
      <%= f.file_field :images, multiple: true %>
      <%= button_tag type: 'submit', class: 'btn btn-outline-warning' do %>
        <%= fa_icon_upload('icon-white icon-margin') + t('.upload') %>
      <% end %>
      <br>

      <div class='row'>
        <% @tools_generic.images.each do |image| %>
          <% aff, show_doc = file_preview_multiple(@tools_generic.images, image, {sx: 220, sy: 220}) %>
          <div class="col-md-4 col-lg-3 col-sm-6">
            <%= aff.html_safe %>
            <br>
            <div class="row" style='width:220px;text-align: center;'>
              <div class="col-sm-4">
                <%= link_to fa_icon('eye', type: :regular, class: "icon-blue"), url_for(image) if show_doc %>
              </div>
              <div class="col-sm-4">
                <%= link_to fa_icon_download, rails_blob_path(image, disposition: "attachment") %>
              </div>
              <div class="col-sm-4"><%= link_to fa_icon_delete, tools_generic_path(@tools_generic.id, image_attachment_id: image.id),
                                          method: :delete,
                                          data: {confirm: 'Delete this image ?'} %>
              </div>
            </div>
            <br>
          </div>
        <% end %>
      </div>
    </div>
  </div>

  <div class="form-inputs">
    <%#= f.hidden_field :rca_id %>
    <%#= f.hidden_field :tool_reference %>
    <%#= f.hidden_field :tool_num %>
    <%= f.input :synthesis %>
  </div>

  <div class="form-actions">
    <%= f.button :submit, class: 'btn-outline-warning' %>
  </div>
<% end %>
